Package com.avaya.clientservices.agent

## Enum AgentState

- java.lang.Object
- - java.lang.Enum<AgentState>
  - - com.avaya.clientservices.agent.AgentState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AgentState>`

      public enum AgentState
      extends java.lang.Enum<AgentState>

  All supported agent states for contact center Elite Agent.
  Note: Read-only information exposed by signaling server, although looks similar to agent work mode which can be updated by client, AgentState is usually consumed by UI layer to show agent availability.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER_CALL_WORK` | The agent is engaged in work associated with a call, but not on a call.
    `AUXILIARY` | The agent is involved in non ACD work, is on break, in a meeting, or at lunch.
    `AVAILABLE` | The AVAILABLE state indicates that the agent is available for accepting an Automatic Call Distribution (ACD) call.
    `NONE` | Default state after agent logout, no work mode.
    `ON_CALL` | The ON_CALL state indicates that the agent is currently busy on an Automatic Call Distribution (ACD) call or Direct Agent Call (DAC).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AgentState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AgentState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AgentState NONE

      Default state after agent logout, no work mode.

    - #### AVAILABLE

          public static final AgentState AVAILABLE

      The AVAILABLE state indicates that the agent is available for accepting an Automatic Call Distribution (ACD) call.

    - #### ON_CALL

          public static final AgentState ON_CALL

      The ON_CALL state indicates that the agent is currently busy on an Automatic Call Distribution (ACD) call or Direct Agent Call (DAC).

    - #### AFTER_CALL_WORK

          public static final AgentState AFTER_CALL_WORK

      The agent is engaged in work associated with a call, but not on a call. The agent is unavailable to receive an Automatic Call Distribution (ACD) calls but can receive non-ACD calls.

    - #### AUXILIARY

          public static final AgentState AUXILIARY

      The agent is involved in non ACD work, is on break, in a meeting, or at lunch. To receive ACD calls, the agent presses the manual-in or auto-in button.

  - ### Method Detail

    - #### values

          public static AgentState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AgentState c : AgentState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AgentState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null